finleycpp.cpp File Reference
`#include <finley/Finley.h>`
`#include <finley/DomainFactory.h>`
`#include <finley/FinleyDomain.h>`
`#include <escript/ExceptionTranslators.h>`
`#include <boost/python.hpp>`
`#include <boost/python/def.hpp>`
`#include <boost/python/module.hpp>`
`#include <boost/python/detail/defaults_gen.hpp>`
`#include <boost/version.hpp>`

## Functions

| BOOST_PYTHON_MODULE (finleycpp)

## Function Documentation

## BOOST_PYTHON_MODULE()

BOOST_PYTHON_MODULE | ( | finleycpp |  | ) |

References finley::FinleyDomain::addPDEToLumpedSystem(), finley::FinleyDomain::addPDEToRHS(), finley::FinleyDomain::addPDEToSystem(), finley::FinleyDomain::addPDEToTransportProblem(), finley::brick_driver(), finley::FinleyDomain::dump(), finley::FinleyDomain::getDataShape(), finley::FinleyDomain::getDescription(), finley::FinleyDomain::getDim(), finley::FinleyDomain::getMPIRank(), finley::FinleyDomain::getMPISize(), finley::FinleyDomain::getNormal(), finley::FinleyDomain::getNumDataPointsGlobal(), finley::FinleyDomain::getSize(), finley::FinleyDomain::getSystemMatrixTypeId(), finley::FinleyDomain::getTag(), finley::FinleyDomain::getTransportTypeId(), finley::FinleyDomain::getVTKElementType(), finley::FinleyDomain::getX(), finley::glueFaces(), finley::FinleyDomain::isValidTagName(), finley::joinFaces(), finley::FinleyDomain::load(), finley::meshMerge(), finley::FinleyDomain::MPIBarrier(), finley::FinleyDomain::newSystemMatrix(), finley::FinleyDomain::newTransportProblem(), finley::FinleyDomain::onMasterProcessor(), finley::FinleyDomain::Print_Mesh_Info(), finley::readGmsh_driver(), finley::readMesh_driver(), finley::rectangle_driver(), REGISTER_ESCRIPT_EXCEPTION_TRANSLATORS, escript::RuntimeErrorTranslator(), finley::FinleyDomain::setNewX(), finley::FinleyDomain::setTagMap(), finley::FinleyDomain::showTagNames(), and finley::FinleyDomain::write().